%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}
%{!?tcl_sitelib: %define tcl_sitelib %{_datadir}/tcl%{tcl_version}}
%define realname tclxml

Summary: XML parsing library for the Tcl scripting language
Name:    tcl-%{realname}
Version: 3.2
Release: alt1_10
License: BSD
Group:   Development/C
URL:     http://tclxml.sourceforge.net/
Source0: http://downloads.sourceforge.net/tclxml/tclxml-%{version}.tar.gz
Source1: pkgIndex.tcl.in.gui
Patch0:  tclxml-3.2-sgmlparser.patch
BuildRequires:  tcl-devel libxml2-devel libxslt-devel
Obsoletes:      tclxml < 3.2
Obsoletes:      tclxml-devel < 3.2
Obsoletes:      tclxml-libxml2 < 3.2
Obsoletes:      tclxml-expat < 3.2
Obsoletes:      tcldom < 3.2
Obsoletes:      tcldom-devel < 3.2
Obsoletes:      tcldom-expat < 3.2
Obsoletes:      tcldom-libxml2 < 3.2
Provides:       tclxml = %{version}-%{release}
Provides:       tcldom = %{version}-%{release}
Provides:       tclxslt = %{version}-%{release}
Requires: tcllib
Source44: import.info

%description
TclXML is a package that provides XML, DOM, and XSLT parsing for the
Tcl scripting language.

%package devel
Summary: Development files for the tclxml packages
Group: Development/C
Requires:       %{name} = %{version}-%{release}
Provides: tclxml-devel = %{version}-%{release}
Provides: tcldom-devel = %{version}-%{release}
%description devel
Development header files for the tclxml packages.  This includes all of the
header files for the tclxml, tcldom, and tclxslt packages

%package gui
Summary: UI widgets for manipulating a DOM tree
Group: Development/C
Requires: %{name} = %{version}-%{release} bwidget
Obsoletes: tcldom-gui = %{version}-%{release}
Provides: tcldom-gui = %{version}-%{release}
%description gui
This package provides some useful widgets for manipulating a DOM tree.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

# Fix a few spurious execute permissions
chmod -x ChangeLog doc/xsltsl/cmp.xsl *.c

# Clean up some DOS line endings
sed -i -e 's/\r//' doc/README.xml.in

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{tcl_sitearch}
mv $RPM_BUILD_ROOT%{_libdir}/Tclxml%{version} $RPM_BUILD_ROOT%{tcl_sitearch}/%{realname}-%{version}

chmod a-x $RPM_BUILD_ROOT%{tcl_sitearch}/%{realname}-%{version}/*.a

# Install the examples in a -gui subpackage
install -d $RPM_BUILD_ROOT%{tcl_sitelib}/%{realname}-gui%{version}
sed -e 's/@VERSION@/%{version}/' < %{SOURCE1} > $RPM_BUILD_ROOT/%{tcl_sitelib}/%{realname}-gui%{version}/pkgIndex.tcl
install -p -m 0644 examples/tcldom/domtree.tcl \
        examples/tcldom/domtree-treectrl.tcl \
        examples/tcldom/domtext.tcl \
        examples/tcldom/cgi2dom.tcl \
        $RPM_BUILD_ROOT%{tcl_sitelib}/%{realname}-gui%{version}/

%check
# The test suite fails to run properly from the build directory.
#make test

%files
%dir %{tcl_sitearch}/%{realname}-%{version}
%{tcl_sitearch}/%{realname}-%{version}/*.so
%{tcl_sitearch}/%{realname}-%{version}/*.tcl
%doc LICENSE ANNOUNCE ChangeLog README.html
%doc doc/*.html

%files devel
%{_includedir}/tclxml
%{_libdir}/TclxmlConfig.sh
%{tcl_sitearch}/%{realname}-%{version}/*.a

%files gui
%dir %{tcl_sitelib}/%{realname}-gui%{version}
%{tcl_sitelib}/%{realname}-gui%{version}/*.tcl

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_10
- initial fc import

